Bug 544897 - [abrt] crash detected in eina-0.8.0-4.fc12
Summary: [abrt] crash detected in eina-0.8.0-4.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eina
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Allisson Azevedo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dde03d114fb4e7f475d43f7d847...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-06 23:45 UTC by Christoph Wickert
Modified: 2010-02-02 01:16 UTC (History)
1 user (show)

Fixed In Version: 0.9.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:13:15 UTC


Attachments (Terms of Use)
File: backtrace (14.15 KB, text/plain)
2009-12-06 23:45 UTC, Christoph Wickert
no flags Details

Description Christoph Wickert 2009-12-06 23:45:13 UTC
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. Start eina
2. try to add some plugins. adb and recently cannot be loaded
3. close the plugin dialog

Comment
-----
When trying to add adb or recently you'll see:

(eina:12482): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Cannot access lomo
[ERROR] [Gel::Plugin (gel-plugin.c:289)] Cannot init plugin /usr/lib64/eina/adb/libadb.so/adb: Version mismatch. source:3.6.14.2 runtime:3.6.20
[WARN] [Eina::Plugins (plugins.c:560)] Unload of plugin /usr/lib64/eina/adb/libadb.so/adb: failed (Version mismatch. source:3.6.14.2 runtime:3.6.20)
[WARN] [Gel::Plugin (gel-app.c:702)] Added plugin <NULL>/adb

(eina:12482): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Cannot access lomo
[ERROR] [Gel::Plugin (gel-plugin.c:289)] Cannot init plugin <NULL>/adb: Version mismatch. source:3.6.14.2 runtime:3.6.20
[WARN] [Eina::Plugins (plugins.c:560)] Unload of plugin /usr/lib64/eina/recently/librecently.so/recently: failed (Dependecy adb for /usr/lib64/eina/recently/librecently.so/recently not found)

Attached file: backtrace
cmdline: eina
component: eina
executable: /usr/bin/eina
kernel: 2.6.31.6-145.fc12.x86_64
package: eina-0.8.0-4.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Christoph Wickert 2009-12-06 23:45:17 UTC
Created attachment 376538 [details]
File: backtrace

Comment 2 Christoph Wickert 2009-12-06 23:48:16 UTC
One more thing: When starting eina in another desktop but Gnome you'll be hit by:

[ERROR] [Gel::Plugin (gel-plugin.c:289)] Cannot init plugin <NULL>/dbus: Could not get owner of name 'org.gnome.SettingsDaemon': no such name
[ERROR] [Eina::Main (main.c:200)] Cannot load dbus: Could not get owner of name 'org.gnome.SettingsDaemon': no such name

So should this package have a dep on gnome-settings-daemon?

Comment 3 Fedora Update System 2010-02-01 00:33:02 UTC
eina-0.9.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/eina-0.9.0-1.fc12

Comment 4 Fedora Update System 2010-02-01 00:33:12 UTC
eina-0.9.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eina-0.9.0-1.fc11

Comment 5 Fedora Update System 2010-02-02 01:13:05 UTC
eina-0.9.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-02-02 01:16:34 UTC
eina-0.9.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.